org.apache.http.cookie

## Interface CookieSpecProvider

- All Known Implementing Classes:
    BestMatchSpecFactory, BrowserCompatSpecFactory, DefaultCookieSpecProvider, IgnoreSpecFactory, IgnoreSpecProvider, NetscapeDraftSpecFactory, NetscapeDraftSpecProvider, RFC2109SpecFactory, RFC2109SpecProvider, RFC2965SpecFactory, RFC2965SpecProvider, RFC6265CookieSpecProvider

      public interface CookieSpecProvider

  Factory for `CookieSpec` implementations.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieSpec` | `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

- - ### Method Detail

    - #### create

          CookieSpec create(org.apache.http.protocol.HttpContext context)

      Creates an instance of `CookieSpec`.
      Returns:
        auth scheme.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.